<div class="row mar-20" xmlns="http://www.w3.org/1999/html">
    <div class="col-lg-8">
        <h1><a ui-sref="dashboard.order({guid: order.guid})"> {{ order.accession_id }} </a> / <small class="small">1st Report </small></h1>
    </div>
</div>
<!-- create report content !-->
<div class="row">
    <form name="reportForm">
        <div class="col-lg-10">
            <div class="clearfix"></div>
            <div class="form-group" ng-if="user_group=='provider' && email != order.provider_email">
                <div  class="form-group" >
                    <label for="">Primary Report</label>
                    <div ng-bind-html="order.report"></div>
                </div>
            </div>
            <section class="panel panel-default" ng-if="user_group=='admin' || user_group=='operator' || user_group=='doctor' || ( user_group=='provider' && email == order.provider_email )">

                <div class="panel-body" >

                    <div class="form-group">
                        <div class="form-group" ng-if="order.modality=='OP'">
                            <label for="">Report Status</label>
                            <div class="form-group">
                                <label for="normal">Normal</label>
                                <input id="normal" type="radio" ng-checked="order.op_status=='Normal'" ng-model="order.op_status" value="Normal" />
                                &nbsp&nbsp&nbsp
                                <label for="mild">Mild</label>
                                <input id="mild" type="radio" ng-checked="order.op_status=='Mild'" ng-model="order.op_status" value="Mild" />
                                &nbsp&nbsp&nbsp
                                <label for="Moderate">Moderate</label>
                                <input id="Moderate" type="radio" ng-checked="order.op_status=='Moderate'" ng-model="order.op_status" value="Moderate" />
                                &nbsp&nbsp&nbsp
                                <label for="Severe">Severe</label>
                                <input id="Severe" type="radio" ng-model="order.op_status" value="Severe" />
                                &nbsp&nbsp&nbsp
                                <label for="Proliferative">Proliferative</label>
                                <input id="Proliferative" type="radio" ng-model="order.op_status" value="Proliferative" />
                            </div>

                        </div>

                        <label for="">Report</label>
                        <div text-angular="text-angular"  ng-model="order.report" ></div>

                    </div>
                    <div class="form-group" ng-show="order.radiologist_signature">
                        <label for="">Doctor signature</label>
                        <div class="clearfix"> </div>
                        <img width="200px" ng-show="order.radiologist_signature" src="{{ order.radiologist_signature | AppStorage }}">
                    </div>
                    <div class="form-group" ng-show="order.provider">
                        <label for="">Doctor's signature</label>
                        <hr/>
                        <div class="block">
                            <div class="row" ng-show="order.doctor_signatures">
                              <div class="col-sm-6 col-md-3 col-lg-3" ng-repeat="item in order.doctor_signatures">
                                <div class="thumbnail">
                                  <button type="button" style="position: absolute" class="btn btn-danger btn-xs" ng-click="removeDoctorSignatureByID(item.id, index)">
                                                <span class="glyphicon glyphicon-trash"></span> Remove
                                            </button>
                                  <img  ng-src="{{ item.signature | AppStorage }}">

                                </div>
                              </div>
                            </div>


                            <table class="table" ng-show="doctor_signature_uploader.queue.length">
                                <thead>
                                    <tr>
                                        <th width="50%">Name</th>
                                        <th ng-show="uploader.isHTML5">Size</th>
                                        <th ng-show="uploader.isHTML5">Progress</th>
                                        <th>Status</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr ng-repeat="item in doctor_signature_uploader.queue">
                                        <td>
                                            <strong ng-hide="item.data.id">{{ item.file.name }}</strong>
                                            <img  class="img-thumbnail" ng-show="item.data.id" ng-src="{{ item.data.signature | AppStorage }}">
                                        </td>
                                        <td ng-show="uploader.isHTML5" nowrap>{{ item.file.size/1024/1024|number:2 }} MB</td>
                                        <td ng-show="uploader.isHTML5">
                                            <div class="progress" style="margin-bottom: 0;">
                                                <div class="progress-bar" role="progressbar" ng-style="{ 'width': item.progress + '%' }"></div>
                                            </div>
                                        </td>
                                        <td class="text-center">
                                            <span ng-show="item.isSuccess"><i class="glyphicon glyphicon-ok"></i></span>
                                            <span ng-show="item.isCancel"><i class="glyphicon glyphicon-ban-circle"></i></span>
                                            <span ng-show="item.isError"><i class="glyphicon glyphicon-remove"></i></span>
                                        </td>
                                        <td nowrap>
                                            <button type="button" class="btn btn-success btn-xs" ng-click="item.upload()" ng-disabled="item.isReady || item.isUploading || item.isSuccess">
                                                <span class="glyphicon glyphicon-upload"></span> Upload
                                            </button>
                                            <button type="button" class="btn btn-warning btn-xs" ng-click="item.cancel()" ng-disabled="!item.isUploading">
                                                <span class="glyphicon glyphicon-ban-circle"></span> Cancel
                                            </button>
                                            <button type="button" class="btn btn-danger btn-xs" ng-click="removeDoctorSignature(item)">
                                                <span class="glyphicon glyphicon-trash"></span> Remove
                                            </button>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                            <div class="form-group">
                            <span class="an-btn an-btn-primary btn-success  btn-file">
                                <i class="fa fa-upload fa-plus-padd"></i>Upload
                                <input type="file"  nv-file-select="" options="{{ doctor_signature_upload_options }}" uploader="doctor_signature_uploader" multiple >
                            </span>
                            <div/>
                            <!--
                            <a ng-show="order.doctor_signature" ng-click="order.doctor_signature=''" class="btn btn-lg btn-danger"> <i class="fa fa-trash-o"></i>  Remove </a>
                            <div class="pull-right progress ah-progress-bar"  ng-show="doctor_signature_uploader.isUploading"  >
                                <div class="progress-bar progress-bar-info" role="progressbar" ng-style="{ 'width': doctor_signature_uploader.progress + '%' }"> {{ doctor_signature_uploader.progress }} %</div>
                            </div>!-->
                        </div>
                        <!--
                        <br/>
                        <img width="200px" ng-show="order.doctor_signature" src="{{ order.doctor_signature | AppStorage }}">!-->
                    </div>


                  <div class="form-group col-lg-2" ng-if="user_group!='hospital' && user_group!='doctor'">
                      <label for="">Provider radiologist</label>
                      <div class="clearfix"></div>
                      <select   class="form-control" ng-model="order.provider_radiologist" class="col-lg-4">
                          <option  ng-repeat="doctor in order.doctors" value="{{ doctor.id }}" ng-selected="">{{ doctor.user.first_name }}</option>
                      </select>
                      <div class="clearfix"></div>
                      <br/>
                      <a class="btn btn-primary" ng-click="addProviderRadiologists()">
                          <i class="fa fa-plus"></i> Sign
                      </a>
                  </div>
                </div>
                <div class="clearfix"></div>
                <div class="col-lg-10">
                    <a ui-sref="dashboard.order({guid: order.guid})" class="btn btn-warning btn-lg"><i class="fa fa-arrow-left"></i>  Back</a>
                    <button type="submit" ng-click="createReport()"   class="btn btn-lg btn-info"><i class="fa fa-file-pdf-o fa-plus-padd"></i>Create Report</button>
                </div>
            </section>

        </div>

    </form>
</div>
